<template>
  <q-page class="q-pa-md">

    <h1>Login</h1>
    <p>Please log in to see some extra features.</p>

    <div class="row full-width q-mt-md">
      <div class="full-width">
        <q-btn
          outline
          rounded
          icon="fab fa-google"
          align="between"
          icon-right="fab"
          :disabled="isLoading"
          @click="loginWithGoogle"
          label="Login with Google"
          class="full-width social-login"
        ></q-btn>
      </div>
    </div>

  </q-page>
</template>

<script>
import Community from "src/components/Community";
import { defineComponent, ref as refVue } from "vue";
import { getAuth, signInWithRedirect, signInWithPopup, GoogleAuthProvider } from "firebase/auth";

export default defineComponent({
  name: "PageLogin",
  data() {
    return {
      isLoading: false,
      loggedIn: false,
      token: null,
      errorCode: null,
      errorMessage: null,
      credential: null,
      pageMounted: false
    };
  },
  setup() {},
  mounted() {
    
  },
  methods: {
    loginWithGoogle() {
        
        const auth = getAuth();
        const provider = new GoogleAuthProvider();

        signInWithPopup(auth, provider)
          .then((result) => {

            // console.log(result);
            // This gives you a Google Access Token. You can use it to access the Google API.
            // const credential = GoogleAuthProvider.credentialFromResult(result);
            // const token = credential.accessToken;
            // The signed-in user info.
            // const user = result.user;
            this.$store.commit('counter/SET_USER', result.user);
            this.$router.push({ name: 'home' });

          }).catch((error) => {
            // Handle Errors here.
            const errorCode = error.code;
            const errorMessage = error.message;
            // The email of the user's account used.
            const email = error.email;

            console.log(error.code);
            console.log(error.message);
            console.log(error.email);

            // The AuthCredential type that was used.
            // const credential = GoogleAuthProvider.credentialFromError(error);
            // ...
          });

        return;

    }
  }
});
</script>
